Package org.eclipse.viatra.query.runtime.rete.network.communication

## Enum PhasedSelector

- java.lang.Object
- - java.lang.Enum<PhasedSelector>
  - - org.eclipse.viatra.query.runtime.rete.network.communication.PhasedSelector

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PhasedSelector>`, `MessageSelector`

      public enum PhasedSelector
      extends java.lang.Enum<PhasedSelector>
      implements MessageSelector

  A default message selector that can be used to associate phases to messages.
  Since:
    2.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANTI_MONOTONE` | Deletes
    `DEFAULT` | No special distinguishing feature
    `MONOTONE` | Inserts and delete-insert monotone change pairs

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PhasedSelector` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PhasedSelector[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final PhasedSelector DEFAULT

      No special distinguishing feature

    - #### MONOTONE

          public static final PhasedSelector MONOTONE

      Inserts and delete-insert monotone change pairs

    - #### ANTI_MONOTONE

          public static final PhasedSelector ANTI_MONOTONE

      Deletes

  - ### Method Detail

    - #### values

          public static PhasedSelector[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PhasedSelector c : PhasedSelector.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PhasedSelector valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null